This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496138 - IOError: [Errno 13] Permission denied: '//var/cache/yum/rhts-testing/repomd.xml.old.tmp'
IOError: [Errno 13] Permission denied: '//var/cache/yum/rhts-testing/repomd.x...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 16:05 EDT by Michal Nowak
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 08:11:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-04-16 16:05:11 EDT
Description of problem:

newman ~ $ yumdownloader --source libmodplug --disablerepo=fedora
Loaded plugins: refresh-packagekit, upgrade-helper
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 295, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 48, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 79, in main
    self.doUtilYumSetup(opts)
  File "/usr/bin/yumdownloader", line 255, in doUtilYumSetup
    self._getSacks(archlist=archlist)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 435, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 251, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 223, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1147, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1305, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1297, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1287, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1271, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1117, in _commonLoadRepoXML
    if self._latestRepoXML(local):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1087, in _latestRepoXML
    oxml = self._saveOldRepoXML(local)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 948, in _saveOldRepoXML
    shutil.copy2(local, old_local)
  File "/usr/lib/python2.5/shutil.py", line 91, in copy2
    copyfile(src, dst)
  File "/usr/lib/python2.5/shutil.py", line 47, in copyfile
    fdst = open(dst, 'wb')
IOError: [Errno 13] Permission denied: '//var/cache/yum/rhts-testing/repomd.xml.old.tmp'

newman ~ $ sudo ls -l //var/cache/yum/rhts-testing/repomd.xml.old.tmp
ls: cannot access //var/cache/yum/rhts-testing/repomd.xml.old.tmp: No such file or directory

newman ~ $ sudo ls -l //var/cache/yum/rhts-testing/
total 888
-rw-r--r-- 1 root root      0 2009-04-15 11:03 cachecookie
-rw-r--r-- 1 root root  67671 2009-03-27 19:32 filelists.xml.gz
-rw-r--r-- 1 root root 399360 2009-03-29 21:49 filelists.xml.gz.sqlite
-rw-r--r-- 1 root root  84094 2009-03-27 19:32 other.xml.gz
drwxr-xr-x 2 root root   4096 2009-03-26 23:07 packages
-rw-r--r-- 1 root root  27964 2009-03-27 19:32 primary.xml.gz
-rw-r--r-- 1 root root 314368 2009-03-29 21:48 primary.xml.gz.sqlite
-rw-r--r-- 1 root root    951 2009-03-27 19:32 repomd.xml

newman ~ $ yumdownloader --source libmodplug 
Loaded plugins: refresh-packagekit, upgrade-helper
http://qafiler.bos.redhat.com/rhts/devel/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
http://qafiler.bos.redhat.com/rhts/devel/repodata/primary.xml.gz: [Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
failure: repodata/primary.xml.gz from rhts-testing: [Errno 256] No more mirrors to try.

(^ expected, VPN is turned off)

newman ~ $ cat /etc/yum.repos.d/rhts.repo 
[rhts]
name=Red Hat Test Suite - $basearch - Base
baseurl=http://qafiler.bos.redhat.com/rhts/prod
enabled=1
gpgcheck=0


[rhts-testing]
name=Red Hat Test Suite - $basearch - Testing
baseurl=http://qafiler.bos.redhat.com/rhts/devel
enabled=1
gpgcheck=0


BUT:

newman ~ $ sudo yumdownloader --source libmodplug --disablerepo=fedora
Loaded plugins: refresh-packagekit, upgrade-helper
http://qafiler.bos.redhat.com/rhts/devel/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
http://qafiler.bos.redhat.com/rhts/prod/repodata/repomd.xml: [Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
Enabling rpmfusion-nonfree-updates-testing-source repository
rpmfusion-nonfree-updates-testing-source                                                                                  | 2.2 kB     00:00     
rpmfusion-nonfree-updates-testing-source/primary_db                                                                       | 5.2 kB     00:00     
Enabling updates-testing-source repository
updates-testing-source                                                                                                    | 2.1 kB     00:00     
updates-testing-source/primary_db                                                                                         |  96 kB     00:00     
Enabling rpmfusion-nonfree-updates-source repository
rpmfusion-nonfree-updates-source                                                                                          | 2.2 kB     00:00     
rpmfusion-nonfree-updates-source/primary_db                                                                               |  27 kB     00:00     
Enabling updates-source repository
updates-source                                                                                                            | 2.1 kB     00:00     
updates-source/primary_db                                                                                                 | 784 kB     00:04     
Enabling rpmfusion-nonfree-source repository
rpmfusion-nonfree-source                                                                                                  | 2.1 kB     00:00     
rpmfusion-nonfree-source/primary_db                                                                                       |  21 kB     00:00     
Enabling rpmfusion-free-updates-source repository
rpmfusion-free-updates-source                                                                                             | 2.2 kB     00:00     
rpmfusion-free-updates-source/primary_db                                                                                  |  56 kB     00:00     
Enabling rpmfusion-free-updates-testing-source repository
rpmfusion-free-updates-testing-source                                                                                     | 2.2 kB     00:00     
rpmfusion-free-updates-testing-source/primary_db                                                                          | 9.5 kB     00:00     
Enabling rpmfusion-free-source repository
rpmfusion-free-source                                                                                                     | 2.1 kB     00:00     
rpmfusion-free-source/primary_db                                                                                          |  55 kB     00:00     
libmodplug-0.8.5-1.fc10.src.rpm                                                                                           | 501 kB     00:02     


---> PASS

Version-Release number of selected component (if applicable):

yum-3.2.21-2.fc10.noarch
yum-utils-1.1.19-1.fc10.noarch

How reproducible:

always
Comment 1 James Antill 2009-04-16 16:55:25 EDT
Are you doing anything weird?
It should use a tmp. directory if geteuid() != 0 ... is there anyway you could be triggering that, without actually being root?
Comment 2 Michal Nowak 2009-04-17 05:22:40 EDT
Dunno... Nothing special. Now it went gone for some time (perhaps PackageKit trigged update of the cache), but after `yum clean all' it's back here again but slightly modified:

newman ~ $ yumdownloader --source libmodplug --disablerepo=fedora
Loaded plugins: refresh-packagekit, upgrade-helper
Enabling rpmfusion-nonfree-updates-testing-source repository
rpmfusion-nonfree-updates-testing-source
                                                   | 2.2 kB     00:00
Enabling updates-testing-source repository
updates-testing-source
                                                   | 2.1 kB     00:00
Enabling rpmfusion-nonfree-updates-source repository
rpmfusion-nonfree-updates-source
                                                   | 2.2 kB     00:00
Enabling updates-source repository
updates-source
                                                   | 2.1 kB     00:00
Enabling rpmfusion-nonfree-source repository
rpmfusion-nonfree-source
                                                   | 2.1 kB     00:00
Enabling rpmfusion-free-updates-source repository
rpmfusion-free-updates-source
                                                   | 2.2 kB     00:00
Enabling rpmfusion-free-updates-testing-source repository
rpmfusion-free-updates-testing-source
                                                   | 2.2 kB     00:00
Enabling rpmfusion-free-source repository
rpmfusion-free-source
                                                   | 2.1 kB     00:00
./libmodplug-0.8.5-1.fc10.src.rpm already exists and appears to be complete

newman ~ $ sudo yum clean all
Loaded plugins: downloadonly, refresh-packagekit, upgrade-helper
Cleaning up Everything

newman ~ $ yumdownloader --source libmodplug --disablerepo=fedora
Loaded plugins: refresh-packagekit, upgrade-helper
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 295, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 48, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 79, in main
    self.doUtilYumSetup(opts)
  File "/usr/bin/yumdownloader", line 255, in doUtilYumSetup
    self._getSacks(archlist=archlist)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 435,
in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 251, in
populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 223, in
_check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1147,
in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1305, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1297,
in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1287,
in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1271,
in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1122,
in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 904, in
_getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 744, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 497, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 492, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 481, in
_setupGrab
    self._grab = mgclass(self._grabfunc, self.urls,
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 602, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 599, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 556, in
_baseurlSetup
    mirrorurls.extend(self._getMirrorList())
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 1539,
in _getMirrorList
    output = open(self.mirrorlist_file, 'w')
IOError: [Errno 13] Permission denied:
'//var/cache/yum/rpmfusion-nonfree-updates-testing/mirrorlist.txt'
Comment 3 Michal Nowak 2009-04-17 05:25:02 EDT
root yum # ls -la rpmfusion-nonfree-updates-testing
total 124
drwxr-xr-x  3 root root   4096 2009-04-17 11:19 .
drwxr-xr-x 24 root root   4096 2009-04-16 22:03 ..
-rw-r--r--  1 root root 106496 2009-04-17 11:19
4e37bbfa575bfecd43cc49f6d6dc731d56924bc8-primary.sqlite
-rw-r--r--  1 root root      0 2009-04-17 11:19 cachecookie
-rw-r--r--  1 root root    971 2009-04-17 11:19 mirrorlist.txt
drwxr-xr-x  2 root root   4096 2009-02-16 14:37 packages
-rw-r--r--  1 root root   2848 2009-04-15 20:19 repomd.xml
Comment 4 seth vidal 2009-10-12 14:54:59 EDT
Is this problem still happening or was it a transient thing?
Comment 5 Michal Nowak 2009-11-10 06:16:08 EST
Was transient. Not seeing it now.

Note You need to log in before you can comment on or make changes to this bug.